/**
* 文件：MateriaQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.materia.model;
import java.util.List;

/**
 * <p>Title: 物料主表</p>
 * <p>Description: MateriaQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class MateriaQuery extends MateriaEntity{
	private static final long serialVersionUID = 1614653142869L;
	/** 开始 ID，自增长 */
	private Long idStart;

	/** 结束 ID，自增长 */
	private Long idEnd;

	/** 增加 ID，自增长 */
	private Long idIncrement;

	/** ID，自增长 */
	private List<Long> idList;

	/** 物料名称，同一类目下不能重名 */
	private List<String> nameList;

	/** 物料短代码，同一类目下唯一，生成后不可变 */
	private List<String> selfCodeList;

	/** 物料代码，包括类目代码 */
	private List<String> codeList;

	/** 资产编码，如果有则添加，允许为空 */
	private List<String> assetsCodeList;

	/** 开始 类目ID，categroy表ID */
	private Long categoryIdStart;

	/** 结束 类目ID，categroy表ID */
	private Long categoryIdEnd;

	/** 增加 类目ID，categroy表ID */
	private Long categoryIdIncrement;

	/** 类目ID，categroy表ID */
	private List<Long> categoryIdList;

	/** 规格型号 */
	private List<String> specModelList;

	/** 开始 计量单位，参数配置-UnitOfMeasure,默认100 */
	private Long unitOfMeasureStart;

	/** 结束 计量单位，参数配置-UnitOfMeasure,默认100 */
	private Long unitOfMeasureEnd;

	/** 增加 计量单位，参数配置-UnitOfMeasure,默认100 */
	private Long unitOfMeasureIncrement;

	/** 计量单位，参数配置-UnitOfMeasure,默认100 */
	private List<Long> unitOfMeasureList;

	/** 开始 默认用量，默认1 */
	private Long useNumStart;

	/** 结束 默认用量，默认1 */
	private Long useNumEnd;

	/** 增加 默认用量，默认1 */
	private Long useNumIncrement;

	/** 默认用量，默认1 */
	private List<Long> useNumList;

	/** 开始 默认损耗率，0-100，百分比，默认0 */
	private Integer lossRateStart;

	/** 结束 默认损耗率，0-100，百分比，默认0 */
	private Integer lossRateEnd;

	/** 增加 默认损耗率，0-100，百分比，默认0 */
	private Integer lossRateIncrement;

	/** 默认损耗率，0-100，百分比，默认0 */
	private List<Integer> lossRateList;

	/** 开始 默认补给方式，参数配置-MateriaSupplyType300外购，301自产，302外协默认300 */
	private Integer supplyTypeStart;

	/** 结束 默认补给方式，参数配置-MateriaSupplyType300外购，301自产，302外协默认300 */
	private Integer supplyTypeEnd;

	/** 增加 默认补给方式，参数配置-MateriaSupplyType300外购，301自产，302外协默认300 */
	private Integer supplyTypeIncrement;

	/** 默认补给方式，参数配置-MateriaSupplyType300外购，301自产，302外协默认300 */
	private List<Integer> supplyTypeList;

	/** 开始 默认计划成本，单位：厘/计量单位 */
	private Long costPlanStart;

	/** 结束 默认计划成本，单位：厘/计量单位 */
	private Long costPlanEnd;

	/** 增加 默认计划成本，单位：厘/计量单位 */
	private Long costPlanIncrement;

	/** 默认计划成本，单位：厘/计量单位 */
	private List<Long> costPlanList;

	/** 主图片url，url */
	private List<String> mainPicUrlList;

	/** 备注 */
	private List<String> remarkList;

	/** 开始 是否废弃，0否，1是 */
	private Integer enabledStart;

	/** 结束 是否废弃，0否，1是 */
	private Integer enabledEnd;

	/** 增加 是否废弃，0否，1是 */
	private Integer enabledIncrement;

	/** 是否废弃，0否，1是 */
	private List<Integer> enabledList;

	/** 开始 变更时间 */
	private String updateTimeStart;

	/** 结束 变更时间 */
	private String updateTimeEnd;

	/** 变更用户loginName */
	private List<String> updateUserList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 创建用户loginName */
	private List<String> createUserList;

	/** 开始 扩展字段，数据意义参看扩展字段定义表 */
	private Long field01Start;

	/** 结束 扩展字段，数据意义参看扩展字段定义表 */
	private Long field01End;

	/** 增加 扩展字段，数据意义参看扩展字段定义表 */
	private Long field01Increment;

	/** 扩展字段，数据意义参看扩展字段定义表 */
	private List<Long> field01List;

	/** 开始 扩展字段 */
	private Long field02Start;

	/** 结束 扩展字段 */
	private Long field02End;

	/** 增加 扩展字段 */
	private Long field02Increment;

	/** 扩展字段 */
	private List<Long> field02List;

	/** 开始 扩展字段 */
	private Long field03Start;

	/** 结束 扩展字段 */
	private Long field03End;

	/** 增加 扩展字段 */
	private Long field03Increment;

	/** 扩展字段 */
	private List<Long> field03List;

	/** 开始 扩展字段 */
	private Long field04Start;

	/** 结束 扩展字段 */
	private Long field04End;

	/** 增加 扩展字段 */
	private Long field04Increment;

	/** 扩展字段 */
	private List<Long> field04List;

	/** 开始 扩展字段 */
	private Long field05Start;

	/** 结束 扩展字段 */
	private Long field05End;

	/** 增加 扩展字段 */
	private Long field05Increment;

	/** 扩展字段 */
	private List<Long> field05List;

	/** 开始 扩展字段 */
	private Long field06Start;

	/** 结束 扩展字段 */
	private Long field06End;

	/** 增加 扩展字段 */
	private Long field06Increment;

	/** 扩展字段 */
	private List<Long> field06List;

	/** 开始 扩展字段 */
	private Long field07Start;

	/** 结束 扩展字段 */
	private Long field07End;

	/** 增加 扩展字段 */
	private Long field07Increment;

	/** 扩展字段 */
	private List<Long> field07List;

	/** 开始 扩展字段 */
	private Long field08Start;

	/** 结束 扩展字段 */
	private Long field08End;

	/** 增加 扩展字段 */
	private Long field08Increment;

	/** 扩展字段 */
	private List<Long> field08List;

	/** 开始 扩展字段 */
	private Long field09Start;

	/** 结束 扩展字段 */
	private Long field09End;

	/** 增加 扩展字段 */
	private Long field09Increment;

	/** 扩展字段 */
	private List<Long> field09List;

	/** 开始 扩展字段 */
	private Long field10Start;

	/** 结束 扩展字段 */
	private Long field10End;

	/** 增加 扩展字段 */
	private Long field10Increment;

	/** 扩展字段 */
	private List<Long> field10List;

	/** 扩展字段 */
	private List<String> field11List;

	/** 扩展字段 */
	private List<String> field12List;

	/** 扩展字段 */
	private List<String> field13List;

	/** 扩展字段 */
	private List<String> field14List;

	/** 扩展字段 */
	private List<String> field15List;

	/** 扩展字段 */
	private List<String> field16List;

	/** 扩展字段 */
	private List<String> field17List;

	/** 扩展字段 */
	private List<String> field18List;

	/** 扩展字段 */
	private List<String> field19List;

	/** 扩展字段 */
	private List<String> field20List;

	/** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
	private List<MateriaQuery> orConditionList;

	/** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
	private List<MateriaQuery> andConditionList;


	public MateriaQuery(){
	}
	/**
	 * 获取 开始 ID，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 ID，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 ID，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 ID，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 ID，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 ID，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 ID，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 ID，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 物料名称，同一类目下不能重名
	 * @return nameList
	 */
	public List<String> getNameList(){
		return this.nameList;
	}

	/**
	 * 设置 物料名称，同一类目下不能重名
	 * @param nameList
	 */
	public void setNameList(List<String> nameList){
		this.nameList = nameList;
	}

	/**
	 * 获取 物料短代码，同一类目下唯一，生成后不可变
	 * @return selfCodeList
	 */
	public List<String> getSelfCodeList(){
		return this.selfCodeList;
	}

	/**
	 * 设置 物料短代码，同一类目下唯一，生成后不可变
	 * @param selfCodeList
	 */
	public void setSelfCodeList(List<String> selfCodeList){
		this.selfCodeList = selfCodeList;
	}

	/**
	 * 获取 物料代码，包括类目代码
	 * @return codeList
	 */
	public List<String> getCodeList(){
		return this.codeList;
	}

	/**
	 * 设置 物料代码，包括类目代码
	 * @param codeList
	 */
	public void setCodeList(List<String> codeList){
		this.codeList = codeList;
	}

	/**
	 * 获取 资产编码，如果有则添加，允许为空
	 * @return assetsCodeList
	 */
	public List<String> getAssetsCodeList(){
		return this.assetsCodeList;
	}

	/**
	 * 设置 资产编码，如果有则添加，允许为空
	 * @param assetsCodeList
	 */
	public void setAssetsCodeList(List<String> assetsCodeList){
		this.assetsCodeList = assetsCodeList;
	}

	/**
	 * 获取 开始 类目ID，categroy表ID
	 * @return categoryIdStart
	 */
	public Long getCategoryIdStart(){
		return this.categoryIdStart;
	}

	/**
	 * 设置 开始 类目ID，categroy表ID
	 * @param categoryIdStart
	 */
	public void setCategoryIdStart(Long categoryIdStart){
		this.categoryIdStart = categoryIdStart;
	}

	/**
	 * 获取 结束 类目ID，categroy表ID
	 * @return categoryIdEnd
	 */
	public Long getCategoryIdEnd(){
		return this.categoryIdEnd;
	}

	/**
	 * 设置 结束 类目ID，categroy表ID
	 * @param categoryIdEnd
	 */
	public void setCategoryIdEnd(Long categoryIdEnd){
		this.categoryIdEnd = categoryIdEnd;
	}

	/**
	 * 获取 增加 类目ID，categroy表ID
	 * @return categoryIdIncrement
	 */
	public Long getCategoryIdIncrement(){
		return this.categoryIdIncrement;
	}

	/**
	 * 设置 增加 类目ID，categroy表ID
	 * @param categoryIdIncrement
	 */
	public void setCategoryIdIncrement(Long categoryIdIncrement){
		this.categoryIdIncrement = categoryIdIncrement;
	}

	/**
	 * 获取 类目ID，categroy表ID
	 * @return categoryIdList
	 */
	public List<Long> getCategoryIdList(){
		return this.categoryIdList;
	}

	/**
	 * 设置 类目ID，categroy表ID
	 * @param categoryIdList
	 */
	public void setCategoryIdList(List<Long> categoryIdList){
		this.categoryIdList = categoryIdList;
	}

	/**
	 * 获取 规格型号
	 * @return specModelList
	 */
	public List<String> getSpecModelList(){
		return this.specModelList;
	}

	/**
	 * 设置 规格型号
	 * @param specModelList
	 */
	public void setSpecModelList(List<String> specModelList){
		this.specModelList = specModelList;
	}

	/**
	 * 获取 开始 计量单位，参数配置-UnitOfMeasure,默认100
	 * @return unitOfMeasureStart
	 */
	public Long getUnitOfMeasureStart(){
		return this.unitOfMeasureStart;
	}

	/**
	 * 设置 开始 计量单位，参数配置-UnitOfMeasure,默认100
	 * @param unitOfMeasureStart
	 */
	public void setUnitOfMeasureStart(Long unitOfMeasureStart){
		this.unitOfMeasureStart = unitOfMeasureStart;
	}

	/**
	 * 获取 结束 计量单位，参数配置-UnitOfMeasure,默认100
	 * @return unitOfMeasureEnd
	 */
	public Long getUnitOfMeasureEnd(){
		return this.unitOfMeasureEnd;
	}

	/**
	 * 设置 结束 计量单位，参数配置-UnitOfMeasure,默认100
	 * @param unitOfMeasureEnd
	 */
	public void setUnitOfMeasureEnd(Long unitOfMeasureEnd){
		this.unitOfMeasureEnd = unitOfMeasureEnd;
	}

	/**
	 * 获取 增加 计量单位，参数配置-UnitOfMeasure,默认100
	 * @return unitOfMeasureIncrement
	 */
	public Long getUnitOfMeasureIncrement(){
		return this.unitOfMeasureIncrement;
	}

	/**
	 * 设置 增加 计量单位，参数配置-UnitOfMeasure,默认100
	 * @param unitOfMeasureIncrement
	 */
	public void setUnitOfMeasureIncrement(Long unitOfMeasureIncrement){
		this.unitOfMeasureIncrement = unitOfMeasureIncrement;
	}

	/**
	 * 获取 计量单位，参数配置-UnitOfMeasure,默认100
	 * @return unitOfMeasureList
	 */
	public List<Long> getUnitOfMeasureList(){
		return this.unitOfMeasureList;
	}

	/**
	 * 设置 计量单位，参数配置-UnitOfMeasure,默认100
	 * @param unitOfMeasureList
	 */
	public void setUnitOfMeasureList(List<Long> unitOfMeasureList){
		this.unitOfMeasureList = unitOfMeasureList;
	}

	/**
	 * 获取 开始 默认用量，默认1
	 * @return useNumStart
	 */
	public Long getUseNumStart(){
		return this.useNumStart;
	}

	/**
	 * 设置 开始 默认用量，默认1
	 * @param useNumStart
	 */
	public void setUseNumStart(Long useNumStart){
		this.useNumStart = useNumStart;
	}

	/**
	 * 获取 结束 默认用量，默认1
	 * @return useNumEnd
	 */
	public Long getUseNumEnd(){
		return this.useNumEnd;
	}

	/**
	 * 设置 结束 默认用量，默认1
	 * @param useNumEnd
	 */
	public void setUseNumEnd(Long useNumEnd){
		this.useNumEnd = useNumEnd;
	}

	/**
	 * 获取 增加 默认用量，默认1
	 * @return useNumIncrement
	 */
	public Long getUseNumIncrement(){
		return this.useNumIncrement;
	}

	/**
	 * 设置 增加 默认用量，默认1
	 * @param useNumIncrement
	 */
	public void setUseNumIncrement(Long useNumIncrement){
		this.useNumIncrement = useNumIncrement;
	}

	/**
	 * 获取 默认用量，默认1
	 * @return useNumList
	 */
	public List<Long> getUseNumList(){
		return this.useNumList;
	}

	/**
	 * 设置 默认用量，默认1
	 * @param useNumList
	 */
	public void setUseNumList(List<Long> useNumList){
		this.useNumList = useNumList;
	}

	/**
	 * 获取 开始 默认损耗率，0-100，百分比，默认0
	 * @return lossRateStart
	 */
	public Integer getLossRateStart(){
		return this.lossRateStart;
	}

	/**
	 * 设置 开始 默认损耗率，0-100，百分比，默认0
	 * @param lossRateStart
	 */
	public void setLossRateStart(Integer lossRateStart){
		this.lossRateStart = lossRateStart;
	}

	/**
	 * 获取 结束 默认损耗率，0-100，百分比，默认0
	 * @return lossRateEnd
	 */
	public Integer getLossRateEnd(){
		return this.lossRateEnd;
	}

	/**
	 * 设置 结束 默认损耗率，0-100，百分比，默认0
	 * @param lossRateEnd
	 */
	public void setLossRateEnd(Integer lossRateEnd){
		this.lossRateEnd = lossRateEnd;
	}

	/**
	 * 获取 增加 默认损耗率，0-100，百分比，默认0
	 * @return lossRateIncrement
	 */
	public Integer getLossRateIncrement(){
		return this.lossRateIncrement;
	}

	/**
	 * 设置 增加 默认损耗率，0-100，百分比，默认0
	 * @param lossRateIncrement
	 */
	public void setLossRateIncrement(Integer lossRateIncrement){
		this.lossRateIncrement = lossRateIncrement;
	}

	/**
	 * 获取 默认损耗率，0-100，百分比，默认0
	 * @return lossRateList
	 */
	public List<Integer> getLossRateList(){
		return this.lossRateList;
	}

	/**
	 * 设置 默认损耗率，0-100，百分比，默认0
	 * @param lossRateList
	 */
	public void setLossRateList(List<Integer> lossRateList){
		this.lossRateList = lossRateList;
	}

	/**
	 * 获取 开始 默认补给方式，参数配置-MateriaSupplyType300外购，301自产，302外协默认300
	 * @return supplyTypeStart
	 */
	public Integer getSupplyTypeStart(){
		return this.supplyTypeStart;
	}

	/**
	 * 设置 开始 默认补给方式，参数配置-MateriaSupplyType300外购，301自产，302外协默认300
	 * @param supplyTypeStart
	 */
	public void setSupplyTypeStart(Integer supplyTypeStart){
		this.supplyTypeStart = supplyTypeStart;
	}

	/**
	 * 获取 结束 默认补给方式，参数配置-MateriaSupplyType300外购，301自产，302外协默认300
	 * @return supplyTypeEnd
	 */
	public Integer getSupplyTypeEnd(){
		return this.supplyTypeEnd;
	}

	/**
	 * 设置 结束 默认补给方式，参数配置-MateriaSupplyType300外购，301自产，302外协默认300
	 * @param supplyTypeEnd
	 */
	public void setSupplyTypeEnd(Integer supplyTypeEnd){
		this.supplyTypeEnd = supplyTypeEnd;
	}

	/**
	 * 获取 增加 默认补给方式，参数配置-MateriaSupplyType300外购，301自产，302外协默认300
	 * @return supplyTypeIncrement
	 */
	public Integer getSupplyTypeIncrement(){
		return this.supplyTypeIncrement;
	}

	/**
	 * 设置 增加 默认补给方式，参数配置-MateriaSupplyType300外购，301自产，302外协默认300
	 * @param supplyTypeIncrement
	 */
	public void setSupplyTypeIncrement(Integer supplyTypeIncrement){
		this.supplyTypeIncrement = supplyTypeIncrement;
	}

	/**
	 * 获取 默认补给方式，参数配置-MateriaSupplyType300外购，301自产，302外协默认300
	 * @return supplyTypeList
	 */
	public List<Integer> getSupplyTypeList(){
		return this.supplyTypeList;
	}

	/**
	 * 设置 默认补给方式，参数配置-MateriaSupplyType300外购，301自产，302外协默认300
	 * @param supplyTypeList
	 */
	public void setSupplyTypeList(List<Integer> supplyTypeList){
		this.supplyTypeList = supplyTypeList;
	}

	/**
	 * 获取 开始 默认计划成本，单位：厘/计量单位
	 * @return costPlanStart
	 */
	public Long getCostPlanStart(){
		return this.costPlanStart;
	}

	/**
	 * 设置 开始 默认计划成本，单位：厘/计量单位
	 * @param costPlanStart
	 */
	public void setCostPlanStart(Long costPlanStart){
		this.costPlanStart = costPlanStart;
	}

	/**
	 * 获取 结束 默认计划成本，单位：厘/计量单位
	 * @return costPlanEnd
	 */
	public Long getCostPlanEnd(){
		return this.costPlanEnd;
	}

	/**
	 * 设置 结束 默认计划成本，单位：厘/计量单位
	 * @param costPlanEnd
	 */
	public void setCostPlanEnd(Long costPlanEnd){
		this.costPlanEnd = costPlanEnd;
	}

	/**
	 * 获取 增加 默认计划成本，单位：厘/计量单位
	 * @return costPlanIncrement
	 */
	public Long getCostPlanIncrement(){
		return this.costPlanIncrement;
	}

	/**
	 * 设置 增加 默认计划成本，单位：厘/计量单位
	 * @param costPlanIncrement
	 */
	public void setCostPlanIncrement(Long costPlanIncrement){
		this.costPlanIncrement = costPlanIncrement;
	}

	/**
	 * 获取 默认计划成本，单位：厘/计量单位
	 * @return costPlanList
	 */
	public List<Long> getCostPlanList(){
		return this.costPlanList;
	}

	/**
	 * 设置 默认计划成本，单位：厘/计量单位
	 * @param costPlanList
	 */
	public void setCostPlanList(List<Long> costPlanList){
		this.costPlanList = costPlanList;
	}

	/**
	 * 获取 主图片url，url
	 * @return mainPicUrlList
	 */
	public List<String> getMainPicUrlList(){
		return this.mainPicUrlList;
	}

	/**
	 * 设置 主图片url，url
	 * @param mainPicUrlList
	 */
	public void setMainPicUrlList(List<String> mainPicUrlList){
		this.mainPicUrlList = mainPicUrlList;
	}

	/**
	 * 获取 备注
	 * @return remarkList
	 */
	public List<String> getRemarkList(){
		return this.remarkList;
	}

	/**
	 * 设置 备注
	 * @param remarkList
	 */
	public void setRemarkList(List<String> remarkList){
		this.remarkList = remarkList;
	}

	/**
	 * 获取 开始 是否废弃，0否，1是
	 * @return enabledStart
	 */
	public Integer getEnabledStart(){
		return this.enabledStart;
	}

	/**
	 * 设置 开始 是否废弃，0否，1是
	 * @param enabledStart
	 */
	public void setEnabledStart(Integer enabledStart){
		this.enabledStart = enabledStart;
	}

	/**
	 * 获取 结束 是否废弃，0否，1是
	 * @return enabledEnd
	 */
	public Integer getEnabledEnd(){
		return this.enabledEnd;
	}

	/**
	 * 设置 结束 是否废弃，0否，1是
	 * @param enabledEnd
	 */
	public void setEnabledEnd(Integer enabledEnd){
		this.enabledEnd = enabledEnd;
	}

	/**
	 * 获取 增加 是否废弃，0否，1是
	 * @return enabledIncrement
	 */
	public Integer getEnabledIncrement(){
		return this.enabledIncrement;
	}

	/**
	 * 设置 增加 是否废弃，0否，1是
	 * @param enabledIncrement
	 */
	public void setEnabledIncrement(Integer enabledIncrement){
		this.enabledIncrement = enabledIncrement;
	}

	/**
	 * 获取 是否废弃，0否，1是
	 * @return enabledList
	 */
	public List<Integer> getEnabledList(){
		return this.enabledList;
	}

	/**
	 * 设置 是否废弃，0否，1是
	 * @param enabledList
	 */
	public void setEnabledList(List<Integer> enabledList){
		this.enabledList = enabledList;
	}

	/**
	 * 获取 开始 变更时间
	 * @return updateTimeStart
	 */
	public String getUpdateTimeStart(){
		return this.updateTimeStart;
	}

	/**
	 * 设置 开始 变更时间
	 * @param updateTimeStart
	 */
	public void setUpdateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
	}

	/**
	 * 获取 结束 变更时间
	 * @return updateTimeEnd
	 */
	public String getUpdateTimeEnd(){
		return this.updateTimeEnd;
	}

	/**
	 * 设置 结束 变更时间
	 * @param updateTimeEnd
	 */
	public void setUpdateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUserList
	 */
	public List<String> getUpdateUserList(){
		return this.updateUserList;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUserList
	 */
	public void setUpdateUserList(List<String> updateUserList){
		this.updateUserList = updateUserList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUserList
	 */
	public List<String> getCreateUserList(){
		return this.createUserList;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUserList
	 */
	public void setCreateUserList(List<String> createUserList){
		this.createUserList = createUserList;
	}

	/**
	 * 获取 开始 扩展字段，数据意义参看扩展字段定义表
	 * @return field01Start
	 */
	public Long getField01Start(){
		return this.field01Start;
	}

	/**
	 * 设置 开始 扩展字段，数据意义参看扩展字段定义表
	 * @param field01Start
	 */
	public void setField01Start(Long field01Start){
		this.field01Start = field01Start;
	}

	/**
	 * 获取 结束 扩展字段，数据意义参看扩展字段定义表
	 * @return field01End
	 */
	public Long getField01End(){
		return this.field01End;
	}

	/**
	 * 设置 结束 扩展字段，数据意义参看扩展字段定义表
	 * @param field01End
	 */
	public void setField01End(Long field01End){
		this.field01End = field01End;
	}

	/**
	 * 获取 增加 扩展字段，数据意义参看扩展字段定义表
	 * @return field01Increment
	 */
	public Long getField01Increment(){
		return this.field01Increment;
	}

	/**
	 * 设置 增加 扩展字段，数据意义参看扩展字段定义表
	 * @param field01Increment
	 */
	public void setField01Increment(Long field01Increment){
		this.field01Increment = field01Increment;
	}

	/**
	 * 获取 扩展字段，数据意义参看扩展字段定义表
	 * @return field01List
	 */
	public List<Long> getField01List(){
		return this.field01List;
	}

	/**
	 * 设置 扩展字段，数据意义参看扩展字段定义表
	 * @param field01List
	 */
	public void setField01List(List<Long> field01List){
		this.field01List = field01List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field02Start
	 */
	public Long getField02Start(){
		return this.field02Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field02Start
	 */
	public void setField02Start(Long field02Start){
		this.field02Start = field02Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field02End
	 */
	public Long getField02End(){
		return this.field02End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field02End
	 */
	public void setField02End(Long field02End){
		this.field02End = field02End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field02Increment
	 */
	public Long getField02Increment(){
		return this.field02Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field02Increment
	 */
	public void setField02Increment(Long field02Increment){
		this.field02Increment = field02Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field02List
	 */
	public List<Long> getField02List(){
		return this.field02List;
	}

	/**
	 * 设置 扩展字段
	 * @param field02List
	 */
	public void setField02List(List<Long> field02List){
		this.field02List = field02List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field03Start
	 */
	public Long getField03Start(){
		return this.field03Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field03Start
	 */
	public void setField03Start(Long field03Start){
		this.field03Start = field03Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field03End
	 */
	public Long getField03End(){
		return this.field03End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field03End
	 */
	public void setField03End(Long field03End){
		this.field03End = field03End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field03Increment
	 */
	public Long getField03Increment(){
		return this.field03Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field03Increment
	 */
	public void setField03Increment(Long field03Increment){
		this.field03Increment = field03Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field03List
	 */
	public List<Long> getField03List(){
		return this.field03List;
	}

	/**
	 * 设置 扩展字段
	 * @param field03List
	 */
	public void setField03List(List<Long> field03List){
		this.field03List = field03List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field04Start
	 */
	public Long getField04Start(){
		return this.field04Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field04Start
	 */
	public void setField04Start(Long field04Start){
		this.field04Start = field04Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field04End
	 */
	public Long getField04End(){
		return this.field04End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field04End
	 */
	public void setField04End(Long field04End){
		this.field04End = field04End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field04Increment
	 */
	public Long getField04Increment(){
		return this.field04Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field04Increment
	 */
	public void setField04Increment(Long field04Increment){
		this.field04Increment = field04Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field04List
	 */
	public List<Long> getField04List(){
		return this.field04List;
	}

	/**
	 * 设置 扩展字段
	 * @param field04List
	 */
	public void setField04List(List<Long> field04List){
		this.field04List = field04List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field05Start
	 */
	public Long getField05Start(){
		return this.field05Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field05Start
	 */
	public void setField05Start(Long field05Start){
		this.field05Start = field05Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field05End
	 */
	public Long getField05End(){
		return this.field05End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field05End
	 */
	public void setField05End(Long field05End){
		this.field05End = field05End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field05Increment
	 */
	public Long getField05Increment(){
		return this.field05Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field05Increment
	 */
	public void setField05Increment(Long field05Increment){
		this.field05Increment = field05Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field05List
	 */
	public List<Long> getField05List(){
		return this.field05List;
	}

	/**
	 * 设置 扩展字段
	 * @param field05List
	 */
	public void setField05List(List<Long> field05List){
		this.field05List = field05List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field06Start
	 */
	public Long getField06Start(){
		return this.field06Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field06Start
	 */
	public void setField06Start(Long field06Start){
		this.field06Start = field06Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field06End
	 */
	public Long getField06End(){
		return this.field06End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field06End
	 */
	public void setField06End(Long field06End){
		this.field06End = field06End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field06Increment
	 */
	public Long getField06Increment(){
		return this.field06Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field06Increment
	 */
	public void setField06Increment(Long field06Increment){
		this.field06Increment = field06Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field06List
	 */
	public List<Long> getField06List(){
		return this.field06List;
	}

	/**
	 * 设置 扩展字段
	 * @param field06List
	 */
	public void setField06List(List<Long> field06List){
		this.field06List = field06List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field07Start
	 */
	public Long getField07Start(){
		return this.field07Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field07Start
	 */
	public void setField07Start(Long field07Start){
		this.field07Start = field07Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field07End
	 */
	public Long getField07End(){
		return this.field07End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field07End
	 */
	public void setField07End(Long field07End){
		this.field07End = field07End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field07Increment
	 */
	public Long getField07Increment(){
		return this.field07Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field07Increment
	 */
	public void setField07Increment(Long field07Increment){
		this.field07Increment = field07Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field07List
	 */
	public List<Long> getField07List(){
		return this.field07List;
	}

	/**
	 * 设置 扩展字段
	 * @param field07List
	 */
	public void setField07List(List<Long> field07List){
		this.field07List = field07List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field08Start
	 */
	public Long getField08Start(){
		return this.field08Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field08Start
	 */
	public void setField08Start(Long field08Start){
		this.field08Start = field08Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field08End
	 */
	public Long getField08End(){
		return this.field08End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field08End
	 */
	public void setField08End(Long field08End){
		this.field08End = field08End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field08Increment
	 */
	public Long getField08Increment(){
		return this.field08Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field08Increment
	 */
	public void setField08Increment(Long field08Increment){
		this.field08Increment = field08Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field08List
	 */
	public List<Long> getField08List(){
		return this.field08List;
	}

	/**
	 * 设置 扩展字段
	 * @param field08List
	 */
	public void setField08List(List<Long> field08List){
		this.field08List = field08List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field09Start
	 */
	public Long getField09Start(){
		return this.field09Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field09Start
	 */
	public void setField09Start(Long field09Start){
		this.field09Start = field09Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field09End
	 */
	public Long getField09End(){
		return this.field09End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field09End
	 */
	public void setField09End(Long field09End){
		this.field09End = field09End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field09Increment
	 */
	public Long getField09Increment(){
		return this.field09Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field09Increment
	 */
	public void setField09Increment(Long field09Increment){
		this.field09Increment = field09Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field09List
	 */
	public List<Long> getField09List(){
		return this.field09List;
	}

	/**
	 * 设置 扩展字段
	 * @param field09List
	 */
	public void setField09List(List<Long> field09List){
		this.field09List = field09List;
	}

	/**
	 * 获取 开始 扩展字段
	 * @return field10Start
	 */
	public Long getField10Start(){
		return this.field10Start;
	}

	/**
	 * 设置 开始 扩展字段
	 * @param field10Start
	 */
	public void setField10Start(Long field10Start){
		this.field10Start = field10Start;
	}

	/**
	 * 获取 结束 扩展字段
	 * @return field10End
	 */
	public Long getField10End(){
		return this.field10End;
	}

	/**
	 * 设置 结束 扩展字段
	 * @param field10End
	 */
	public void setField10End(Long field10End){
		this.field10End = field10End;
	}

	/**
	 * 获取 增加 扩展字段
	 * @return field10Increment
	 */
	public Long getField10Increment(){
		return this.field10Increment;
	}

	/**
	 * 设置 增加 扩展字段
	 * @param field10Increment
	 */
	public void setField10Increment(Long field10Increment){
		this.field10Increment = field10Increment;
	}

	/**
	 * 获取 扩展字段
	 * @return field10List
	 */
	public List<Long> getField10List(){
		return this.field10List;
	}

	/**
	 * 设置 扩展字段
	 * @param field10List
	 */
	public void setField10List(List<Long> field10List){
		this.field10List = field10List;
	}

	/**
	 * 获取 扩展字段
	 * @return field11List
	 */
	public List<String> getField11List(){
		return this.field11List;
	}

	/**
	 * 设置 扩展字段
	 * @param field11List
	 */
	public void setField11List(List<String> field11List){
		this.field11List = field11List;
	}

	/**
	 * 获取 扩展字段
	 * @return field12List
	 */
	public List<String> getField12List(){
		return this.field12List;
	}

	/**
	 * 设置 扩展字段
	 * @param field12List
	 */
	public void setField12List(List<String> field12List){
		this.field12List = field12List;
	}

	/**
	 * 获取 扩展字段
	 * @return field13List
	 */
	public List<String> getField13List(){
		return this.field13List;
	}

	/**
	 * 设置 扩展字段
	 * @param field13List
	 */
	public void setField13List(List<String> field13List){
		this.field13List = field13List;
	}

	/**
	 * 获取 扩展字段
	 * @return field14List
	 */
	public List<String> getField14List(){
		return this.field14List;
	}

	/**
	 * 设置 扩展字段
	 * @param field14List
	 */
	public void setField14List(List<String> field14List){
		this.field14List = field14List;
	}

	/**
	 * 获取 扩展字段
	 * @return field15List
	 */
	public List<String> getField15List(){
		return this.field15List;
	}

	/**
	 * 设置 扩展字段
	 * @param field15List
	 */
	public void setField15List(List<String> field15List){
		this.field15List = field15List;
	}

	/**
	 * 获取 扩展字段
	 * @return field16List
	 */
	public List<String> getField16List(){
		return this.field16List;
	}

	/**
	 * 设置 扩展字段
	 * @param field16List
	 */
	public void setField16List(List<String> field16List){
		this.field16List = field16List;
	}

	/**
	 * 获取 扩展字段
	 * @return field17List
	 */
	public List<String> getField17List(){
		return this.field17List;
	}

	/**
	 * 设置 扩展字段
	 * @param field17List
	 */
	public void setField17List(List<String> field17List){
		this.field17List = field17List;
	}

	/**
	 * 获取 扩展字段
	 * @return field18List
	 */
	public List<String> getField18List(){
		return this.field18List;
	}

	/**
	 * 设置 扩展字段
	 * @param field18List
	 */
	public void setField18List(List<String> field18List){
		this.field18List = field18List;
	}

	/**
	 * 获取 扩展字段
	 * @return field19List
	 */
	public List<String> getField19List(){
		return this.field19List;
	}

	/**
	 * 设置 扩展字段
	 * @param field19List
	 */
	public void setField19List(List<String> field19List){
		this.field19List = field19List;
	}

	/**
	 * 获取 扩展字段
	 * @return field20List
	 */
	public List<String> getField20List(){
		return this.field20List;
	}

	/**
	 * 设置 扩展字段
	 * @param field20List
	 */
	public void setField20List(List<String> field20List){
		this.field20List = field20List;
	}

	/**
	 * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @return orConditionList
	 */
	public List<MateriaQuery> getOrConditionList(){
		return this.orConditionList;
	}

	/**
	 * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @param orConditionList
	 */
	public void setOrConditionList(List<MateriaQuery> orConditionList){
		this.orConditionList = orConditionList;
	}

	/**
	 * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @return andConditionList
	 */
	public List<MateriaQuery> getAndConditionList(){
		return this.andConditionList;
	}

	/**
	 * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @param andConditionList
	 */
	public void setAndConditionList(List<MateriaQuery> andConditionList){
		this.andConditionList = andConditionList;
	}


}